/*******************************************************************************
* FILENAME
*   waveform_table.h
*
* DESCRIPTION
*   Header file containing waveform tables
*
*******************************************************************************/

#ifndef WAVEFORM_TABLE_H
#define WAVEFORM_TABLE_H


/*-------------------------------------------------------------------------*/
/* Table for 1 kHz sine wave based on 24 kHz sampling                      */
/*-------------------------------------------------------------------------*/

const float sinewave_1kHz[] = {
                         0.000000,
					     0.258819,
					     0.500000,
					     0.707107,
					     0.866025,
					     0.965926,
					     1.000000,
					     0.965926,
					     0.866025,
					     0.707107,
					     0.500000,
					     0.258819,
					     0.000000,
					    -0.258819,
					    -0.500000,
					    -0.707107,
					    -0.866025,
					    -0.965926,
					    -1.000000,
					    -0.965926,
					    -0.866025,
					    -0.707107,
					    -0.500000,
					    -0.258819,
                         0.000000,
					     0.258819,
					     0.500000,
					     0.707107,
					     0.866025,
					     0.965926,
					     1.000000,
					     0.965926,
					     0.866025,
					     0.707107,
					     0.500000,
					     0.258819,
					     0.000000,
					    -0.258819,
					    -0.500000,
					    -0.707107,
					    -0.866025,
					    -0.965926,
					    -1.000000,
					    -0.965926,
					    -0.866025,
					    -0.707107,
					    -0.500000,
					    -0.258819					    					    
                      };


/*-------------------------------------------------------------------------*/
/* Table for 500 Hz sine wave based on 24 kHz sampling                     */
/*-------------------------------------------------------------------------*/

const float sinewave_500Hz[] = {  
                         0.000000,
                         0.120526, 
					     0.258819,
					     0.382638,
					     0.500000,
					     0.608761,
					     0.707107,
					     0.793353,
					     0.866025,
					     0.922388,
					     0.965926,
					     0.991445,
					     1.000000,
					     0.991445,
					     0.965926,
					     0.922388,
					     0.866025,
					     0.793353,					     					     					     					     
					     0.707107, 
					     0.608761,
					     0.500000,
					     0.382638,
					     0.258819,
                         0.120526,
                         0.000000,
                        -0.120526, 
					    -0.258819,
					    -0.382638,
					    -0.500000,
					    -0.608761,
					    -0.707107,
					    -0.793353,
					    -0.866025,
					    -0.922388,
					    -0.965926,
					    -0.991445,
					    -1.000000,
					    -0.991445,
					    -0.965926,
					    -0.922388,
					    -0.866025,
					    -0.793353,					     					     					     					     
					    -0.707107, 
					    -0.608761,
					    -0.500000,
					    -0.382638,
					    -0.258819,
                        -0.120526,
                         0.000000                         
                         					     				     					     				     
                       };

/*-------------------------------------------------------------------------*/
/* Table for 500 Hz triangle wave based on 24 kHz sampling                 */
/*-------------------------------------------------------------------------*/

const float triangle_500Hz[] = {  
                         0.000000,
                         0.083333,
                         0.166667, 
					     0.250000,
					     0.333333,
					     0.416667,
					     0.500000,
					     0.583333,
					     0.666666,
					     0.750000,
					     0.833333,
					     0.916667,
					     1.000000,
					     0.916667,
					     0.833333,
					     0.750000,
					     0.666666,
					     0.583333,					     					     					     					     
					     0.500000, 
					     0.416667,
					     0.333333,
					     0.250000,
					     0.166667,
                         0.083333,
                         0.000000,
                        -0.083333,
                        -0.166667, 
					    -0.250000,
					    -0.333333,
					    -0.416667,
					    -0.500000,
					    -0.583333,
					    -0.666666,
					    -0.750000,
					    -0.833333,
					    -0.916667,
					    -1.000000,
					    -0.916667,
					    -0.833333,
					    -0.750000,
					    -0.666666,
					    -0.583333,					     					     					     					     
					    -0.500000, 
					    -0.416667,
					    -0.333333,
					    -0.250000,
					    -0.166667,
                        -0.083333,
                         0.000000                         
                                   };                         					     				     					     				     


#endif

/*-----------------------------------------------------------------------*/
/* End of waveform_table.h                                               */
/*-----------------------------------------------------------------------*/

  
